%global pypi_name pandas-datareader

%global common_description                                                   \
Data readers extracted from the pandas codebase, should be compatible with   \
recent pandas versions.

Name:       python-%{pypi_name}
Version:    0.10.0
Release:    %mkrel 3
Summary:    Data readers from the pandas codebase
License:    BSD
Group:      Development/Python

URL: https://github.com/pydata/pandas-datareader
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires: python3-devel

%description
%{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

# For testing
BuildRequires: python3-pytest
BuildRequires: python3-numpy
BuildRequires: python3-pandas
BuildRequires: python3-requests
BuildRequires: python3-wrapt

#Requires: python3-requests-file
#Requires: python3-requests-ftp

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build

%install
%py3_install

%check
# Avoid writing bad pyc files during testing
export PYTHONDONTWRITEBYTECODE=1
export PYTEST_ADDOPTS='-p no:cacheprovider'
# Run tests in source code dir, some tests are not installed

pushd %{buildroot}/%{python3_sitelib}
 pytest-%{python3_version} -v pandas_datareader || :
popd

%files -n python3-%{pypi_name}
%license LICENSE.md
%{python3_sitelib}/pandas_datareader/ 
%{python3_sitelib}/pandas_datareader-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.10.0-3.mga9
+ Revision: 1832171
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 0.10.0-2.mga9
+ Revision: 1781388
- update to python 3.10

* Thu Oct 21 2021 joequant <joequant> 0.10.0-1.mga9
+ Revision: 1752431
- update to 0.10.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 0.9.0-2.mga9
+ Revision: 1707298
- rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 0.9.0-1.mga8
+ Revision: 1660569
- update to 0.9.0

* Wed Jun 10 2020 joequant <joequant> 0.8.0-1.mga8
+ Revision: 1591638
- imported package python-pandas-datareader

